Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001600Anope Stable (2.0.x series)[All Projects] Generalpublic2014-05-11 23:192014-05-15 00:19
Reportersimos 
Assigned ToAdam 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSdebianOS Version7
Summary0001600: Expired account are not removed from channel access list
DescriptionWhen an account expire if it was present in some channels access list is nick is not removed from access list. It he was founder of some channels the channels are not dropped and in cs info show the expired nick as founder.

Additional InformationTested with sql_live and flatfile.
Source updated to the last git.
TagsNo tags attached.
Attached Files? file icon anope.tiff [^] (164,298 bytes) 2014-05-13 21:44

- Relationships
child of 0001585resolvedAdam Anope Development (1.9.x series) When nick in a group expired, did not change access masks to display nickname. 

-  Notes
(0006649)
Adam (administrator)
2014-05-15 00:19

fixed as part of 0001585
(0006646)
simos (reporter)
2014-05-13 21:49

In the attached image the query on sql to discover the nick , below the grep of the anope.db for crissy :

END
OBJECT ChanAccess
ID 76
DATA provider access/xop
DATA ci #AlBarDiPipps
DATA mask crissy
DATA creator Unknown
DATA last_seen 1295462941
DATA created 1398291096
DATA data VOP
END
--
END
OBJECT ChanAccess
ID 723
DATA provider access/xop
DATA ci #elite
DATA mask crissy
DATA creator Unknown
DATA last_seen 1275216367
DATA created 1398291096
DATA data VOP
END
--
END
OBJECT ChanAccess
ID 2490
DATA provider access/access
DATA ci #RadioWj
DATA mask crissy
DATA creator Unknown
DATA last_seen 1332010157
DATA created 1398291096
DATA data 5
END
--
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 151
DATA owner crissy
DATA time 1298800521
DATA sender Fantasmina
DATA text ciaoo cara prova finita
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 152
DATA owner crissy
DATA time 1298800574
DATA sender lucrezia
DATA text ammora ti voglio bene *
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 153
DATA owner crissy
DATA time 1304585162
DATA sender Elisabetta
DATA text scusa ma ero al telefono e m hanno tenuto 2 ore s - t mando un bacio , appena t vedo t kiamo :-*
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 154
DATA owner crissy
DATA time 1309339017
DATA sender Elisabetta
DATA text nn t becco mai (, tesora mi manchi tanto.. per un po' nn entro la', ho visto cose ke nn volevo vedere.. e m hanno fatto male, poi t dico .. cercami se entri. Ah Pipps m'ha mezzo proposto la @ su italy ma ho rifiutato perke' nn me la sento. T mando un bacio stella. Kisssssssss!
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 155
DATA owner crissy
DATA time 1313794775
DATA sender Max75
DATA text ciao, scusami ma non c'ero, anche se non ci sono lascia scritto.... poi leggo e ti rispondo... ciauz
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 156
DATA owner crissy
DATA time 1351450007
DATA sender gus
DATA text grazie di tutto silviè, ti voglio bene sappilo.... -*
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 157
DATA owner crissy
DATA time 1367602955
DATA sender Nala
DATA text che dici te arriva sto messaggio
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 158
DATA owner crissy
DATA time 1368654470
DATA sender Max`
DATA text kisssssss :-*
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 159
DATA owner crissy
DATA time 1369928447
DATA sender Max`
DATA text ciao tesò, ci si becca sabato, un bacione grosso kisss
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 160
DATA owner crissy
DATA time 1380891398
DATA sender Max`
DATA text 14:01 ?                 BarBone ¦ ciao max volevo solo salutarti e scusamis e sono sparito hoa vuto un po' di problemini...... ( non ho fatto in tempo a rispondere )
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 161
DATA owner crissy
DATA time 1370985154
DATA sender Max`
DATA text non era lei ciao tesò :-*
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 162
DATA owner crissy
DATA time 1372718174
DATA sender Max`
DATA text Picco utenti: 760 il 01.07.2013 22:46:06
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 163
DATA owner crissy
DATA time 1373330646
DATA sender Max`
DATA text elenoire pesciolina tarallina eliminate dallo staff
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 164
DATA owner crissy
DATA time 1376116652
DATA sender Max`
DATA text ciao tesò , se uno entra con nick papa_giovanni etc etc e non dice cagate offensive .... lasciamolo , se è simpatico e non offende la chiesa, se entra e dice, vi benedico ..etc etc..... va bene lo fa per gioco, cosa diversa invece se fa lo stupido... zam ... fart
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 165
DATA owner crissy
DATA time 1376686766
DATA sender Max`
DATA text Ho fatto Chica` mod , manca spiegarle 4 cosine e addarla al forum, ciao kis
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 166
DATA owner crissy
DATA time 1377461487
DATA sender Max`
DATA text se il server splitta mandatemi un mess , chiamatemi al volo, meglio se fai squillà kiss
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 167
DATA owner crissy
DATA time 1377907727
DATA sender Max`
DATA text ho aggiunto questi nick alla lista akick perchè altrimenti non ne veniamo fuori *voglios*!*@* *dotato*!*@* *pompinara*!*@* *bocchinara*!*@* *cam*hot*!*@* *hot*cam*!*@*
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 168
DATA owner crissy
DATA time 1377917307
DATA sender Max`
DATA text Ho aggiornato 4 post troverai aggiornato al 31.08.2013
DATA unread 0
DATA receipt 0
END
OBJECT Memo
ID 169
DATA owner crissy
DATA time 1387796293
DATA sender _AsSeNzIo_
DATA text ciaoooooooo amoreeeeeeee tanti auguriiiiiiii ti voglio bene ci sentiamo via maillllllllllllllllllllll ti adoro
DATA unread 0
DATA receipt 0


From anope log crissy nick expiration :

services.log.20140511:[May 11 17:43:22 2014] Expiring nickname crissy (group: crissy) (e-mail: kikkella@hotmail.it)
services.log.20140511:[May 11 17:43:22 2014] Changing crissy nickname group display to Frida

/cs access for #elite

[22:48:57] -ChanServ- Lista di accesso di #elite:
[22:48:57] -ChanServ- Numero Level Mask
[22:48:57] -ChanServ- 1 VOP Altair
[22:48:57] -ChanServ- 2 AOP angelobiondo
[22:48:57] -ChanServ- 3 VOP AnGeL|AwAy
[22:48:57] -ChanServ- 4 VOP Aquila_
[22:48:57] -ChanServ- 5 SOP BrAvEhEaRt
[22:48:57] -ChanServ- 6 VOP crissy
[22:48:57] -ChanServ- 7 HOP feddik
[22:48:57] -ChanServ- 8 VOP MarekIaro
[22:48:57] -ChanServ- 9 VOP miraggio
[22:48:57] -ChanServ- 10 VOP NoctiS
[22:48:57] -ChanServ- 11 VOP paprika
[22:48:57] -ChanServ- 12 AOP Pipps
[22:48:57] -ChanServ- 13 HOP santa
[22:48:57] -ChanServ- 14 SOP Simos
[22:48:57] -ChanServ- 15 VOP sky
[22:48:57] -ChanServ- 16 VOP UaN
[22:48:57] -ChanServ- 17 VOP Vania
[22:48:57] -ChanServ- Fine della lista di accesso.


/ns info for crissy

[22:49:36] -NickServ- il nickname crissy non è registrato.

- Issue History
Date Modified Username Field Change
2014-05-11 23:19 simos New Issue
2014-05-13 21:44 simos File Added: anope.tiff
2014-05-13 21:49 simos Note Added: 0006646
2014-05-15 00:19 Adam Relationship added child of 0001585
2014-05-15 00:19 Adam Note Added: 0006649
2014-05-15 00:19 Adam Status new => resolved
2014-05-15 00:19 Adam Resolution open => fixed
2014-05-15 00:19 Adam Assigned To => Adam


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker